std::iterator_traits< _Tp * > Struct Template Reference
Iterators

`#include <stl_iterator_base_types.h>`

## Public Types

typedef ptrdiff_t | difference_type
typedef random_access_iterator_tag | iterator_category
typedef _Tp * | pointer
typedef _Tp & | reference
typedef _Tp | value_type

## Detailed Description

template<typename _Tp>
struct std::iterator_traits< _Tp * >

Partial specialization for pointer types.

Definition at line 178 of file stl_iterator_base_types.h.

## Member Typedef Documentation

## difference_type

template<typename _Tp >

typedef ptrdiff_t std::iterator_traits< _Tp * >::difference_type

Definition at line 182 of file stl_iterator_base_types.h.

## iterator_category

template<typename _Tp >

typedef random_access_iterator_tag std::iterator_traits< _Tp * >::iterator_category

Definition at line 180 of file stl_iterator_base_types.h.

## pointer

template<typename _Tp >

typedef _Tp* std::iterator_traits< _Tp * >::pointer

Definition at line 183 of file stl_iterator_base_types.h.

## reference

template<typename _Tp >

typedef _Tp& std::iterator_traits< _Tp * >::reference

Definition at line 184 of file stl_iterator_base_types.h.

## value_type

template<typename _Tp >

typedef _Tp std::iterator_traits< _Tp * >::value_type

Definition at line 181 of file stl_iterator_base_types.h.

The documentation for this struct was generated from the following file:

- stl_iterator_base_types.h